POST
/
virtual-accounts
Create a virtual account
curl --request POST \
  --url https://api.balansas.com/functions/v1/customer-api/virtual-accounts \
  --header 'Content-Type: application/json' \
  --header 'x-api-key: <api-key>' \
  --data '
{
  "accountName": "<string>",
  "masterFiatAccountId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "endUserId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "umbrellaLinkId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
'
import requests

url = "https://api.balansas.com/functions/v1/customer-api/virtual-accounts"

payload = {
"accountName": "<string>",
"masterFiatAccountId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"endUserId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"umbrellaLinkId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
headers = {
"x-api-key": "<api-key>",
"Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'POST',
headers: {'x-api-key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
accountName: '<string>',
masterFiatAccountId: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
endUserId: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
umbrellaLinkId: '3c90c3cc-0d44-4b50-8888-8dd25736052a'
})
};

fetch('https://api.balansas.com/functions/v1/customer-api/virtual-accounts', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "data": {
    "id": "b4e2d3f5-6c7e-8f9a-0b1c-2d3e4f5a6b7c",
    "end_user_id": "9c1d2e3f-4a5b-6c7d-8e9f-0a1b2c3d4e5f",
    "master_fiat_account_id": "a3f1c2e4-5b6d-7e8f-9a0b-1c2d3e4f5a6b",
    "fr_virtual_account_id": "vacc_7mNp2QxR9Lk",
    "account_name": "Acme Payroll VA",
    "currency": "GBP",
    "status": "active",
    "fr_owner_business_id": "busi_8Jh2KdLm5Qx",
    "iban": "DE89370400440532013000",
    "bic": "NWBKGB2L",
    "bank_name": "Modulr FS Limited",
    "account_holder_name": "Acme Ltd",
    "bank_country": "GB",
    "account_number": "31926819",
    "sort_code": "601613",
    "created_at": "2026-05-28T11:02:09.456Z",
    "updated_at": "2026-05-28T11:02:09.456Z"
  }
}
{
"error": {
"code": "<string>",
"message": "<string>",
"details": "<unknown>"
}
}
{
"error": {
"code": "<string>",
"message": "<string>",
"details": "<unknown>"
}
}
{
"error": {
"code": "<string>",
"message": "<string>",
"details": "<unknown>"
}
}
{
"error": {
"code": "<string>",
"message": "<string>",
"details": "<unknown>"
}
}
{
"error": {
"code": "<string>",
"message": "<string>",
"details": "<unknown>"
}
}
{
"error": {
"code": "<string>",
"message": "<string>",
"details": "<unknown>"
}
}

Authorizations

x-api-key
string
header
required

Customer API key. Send as x-api-key: sk_... or Authorization: Bearer sk_.... Write operations also require an X-CSRF-Token header (64-char hex).

Body

application/json
accountName
string
required
Required string length: 1 - 200
masterFiatAccountId
string<uuid>
required
currency
enum<string>
required
Available options:
USD,
EUR,
GBP
endUserId
string<uuid>
ibanCountry
enum<string>
Available options:
DE,
DK,
GB,
LU

Response

Success

data
object
required